Defend against "Modern" Perls.
authorSean O'Rourke <seano@foobar.local>
Sat, 8 Sep 2012 23:09:43 +0000 (8 16:09 -0700)
committerSean O'Rourke <seano@foobar.local>
Sat, 8 Sep 2012 23:09:43 +0000 (8 16:09 -0700)
lib/Sepia.pm

index 9abfa11..76ac49d 100644 (file)
@@ -33,11 +33,18 @@ interface.
 
 =cut
 
+use 5.008;                      # try to defend against "Modern"
 $VERSION = '0.992_01';
 BEGIN {
     if ($] >= 5.012) {
         eval 'no warnings "deprecated"'; # undo some of the 5.12 suck.
     }
+    if ($] > 5.012003Z) {
+        warn <<EOS;
+Perl $] (newer than 5.12.3) may break Sepia.  Please let the author
+(seano\@cpan.org) know what happens.
+EOS
+    }
     # Not as useful as I had hoped...
     sub track_requires
     {